#
# spec file for package python-elasticsearch
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-elasticsearch
Version:        5.2.0
Release:        1.3
Summary:        Python client for Elasticsearch
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/elasticsearch/elasticsearch-py
Source:         https://pypi.io/packages/source/e/elasticsearch/elasticsearch-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-urllib3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Official low-level client for Elasticsearch. It provides common
code for all further Elasticsearch-related code in Python.

%prep
%setup -q -n elasticsearch-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog.rst LICENSE README README.rst
%{python_sitelib}/*

%changelog
* Tue Feb 14 2017 jengelh@inai.de
- Remove hypothetical wording from description
* Mon Feb 13 2017 tbechtold@suse.com
- update to 5.2.0:
  * The client now automatically sends ``Content-Type`` http header set to
    ``application/json``. If you are explicitly passing in other encoding than
    ``json`` you need to set the header manually.
  * Fixed sniffing
  * Fixed performance regression in ``scan`` helper
  * when using SSL certificate validation is now on by default. Install
    ``certifi`` or supply root certificate bundle.
  * ``elasticsearch.trace`` logger now also logs failed requests, signature of
    internal logging method ``log_request_fail`` has changed, all custom
    connection classes need to be updated
  * added ``headers`` arg to connections to support custom http headers
  * passing in a keyword parameter with ``None`` as value will cause that param
    to be ignored
* Thu Jan 19 2017 dmueller@suse.com
- update to 2.4.0:
  * increase default size for ``scan`` helper to 1000
  * added ``client_key`` argument to configure client certificates
  * debug logging now includes response body even for failed requests
  * Elasticsearch 2.0 compatibility release
  * removed thrift and memcached connections, if you wish to continue using
    those, extract the classes and use them separately.
  * added a new, parallel version of the bulk helper using thread pools
  * In helpers, removed ``bulk_index`` as an alias for ``bulk``. Use ``bulk``
    instead.
  * thrift now deprecated, to be removed in future version
  * make sure urllib3 always uses keep-alive
* Wed Apr 29 2015 tbechtold@suse.com
- Initial packaging
